Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.cdo.internal.ui
Class ResourceManager

    java.lang.Object
      org.eclipse.emf.ecp.cdo.internal.ui.SWTResourceManager
          org.eclipse.emf.ecp.cdo.internal.ui.ResourceManager

    public class ResourceManager

extends SWTResourceManager

Utility class for managing OS resources associated with SWT/JFace controls such as colors, fonts, images, etc. !!! IMPORTANT !!! Application code must explicitly invoke the `dispose()` method to release the operating system resources managed by cached objects when those objects and OS resources are no longer needed (e.g. on application shutdown) This class may be freely distributed as part of any application or plugin.

Author:
  scheglov_ke, Dan Rubel

Nested Class Summary
`static interface` | `ResourceManager.PluginResourceProvider` Provider for plugin resources, used by WindowBuilder at design time.

Field Summary

Fields inherited from class org.eclipse.emf.ecp.cdo.internal.ui.SWTResourceManager
`BOTTOM_LEFT, BOTTOM_RIGHT, TOP_LEFT, TOP_RIGHT`

Constructor Summary
`ResourceManager()`

Method Summary
`static org.eclipse.swt.graphics.Image` | `decorateImage(org.eclipse.swt.graphics.Image baseImage, org.eclipse.swt.graphics.Image decorator)` Returns an `Image` composed of a base image decorated by another image.
`static org.eclipse.swt.graphics.Image` | `decorateImage(org.eclipse.swt.graphics.Image baseImage, org.eclipse.swt.graphics.Image decorator, int corner)` Returns an `Image` composed of a base image decorated by another image.
`static void` | `dispose()` Dispose of cached objects and their underlying OS resources.
`static void` | `disposeImages()` Dispose all of the cached images.
`static org.eclipse.swt.graphics.Image` | `getImage(org.eclipse.jface.resource.ImageDescriptor descriptor)` Returns an `Image` based on the specified `ImageDescriptor`.
`static org.eclipse.jface.resource.ImageDescriptor` | `getImageDescriptor(Class<?> clazz, String path)` Returns an `ImageDescriptor` stored in the file at the specified path relative to the specified class.
`static org.eclipse.jface.resource.ImageDescriptor` | `getImageDescriptor(String path)` Returns an `ImageDescriptor` stored in the file at the specified path.
`static org.eclipse.swt.graphics.Image` | `getPluginImage(Object plugin, String name)` Deprecated. Use `getPluginImage(String, String)` instead.
`static org.eclipse.swt.graphics.Image` | `getPluginImage(String symbolicName, String path)` Returns an `Image` based on a `Bundle` and resource entry path.
`static org.eclipse.jface.resource.ImageDescriptor` | `getPluginImageDescriptor(Object plugin, String name)` Deprecated. Use `getPluginImageDescriptor(String, String)` instead.
`static org.eclipse.jface.resource.ImageDescriptor` | `getPluginImageDescriptor(String symbolicName, String path)` Returns an `ImageDescriptor` based on a `Bundle` and resource entry path.

Methods inherited from class org.eclipse.emf.ecp.cdo.internal.ui.SWTResourceManager
`disposeColors, disposeCursors, disposeFonts, getBoldFont, getColor, getColor, getColor, getCursor, getFont, getFont, getImage, getImage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceManager

    public ResourceManager()

Method Detail

### getImageDescriptor

    public static org.eclipse.jface.resource.ImageDescriptor getImageDescriptor(Class<?> clazz,
                                                                                String path)

  Returns an `ImageDescriptor` stored in the file at the specified path relative to the specified class.

  Parameters:
    `clazz` - the `Class` relative to which to find the image descriptor.
    `path` - the path to the image file.
  Returns:
    the `ImageDescriptor` stored in the file at the specified path.

### getImageDescriptor

    public static org.eclipse.jface.resource.ImageDescriptor getImageDescriptor(String path)

  Returns an `ImageDescriptor` stored in the file at the specified path.

  Parameters:
    `path` - the path to the image file.
  Returns:
    the `ImageDescriptor` stored in the file at the specified path.

### getImage

    public static org.eclipse.swt.graphics.Image getImage(org.eclipse.jface.resource.ImageDescriptor descriptor)

  Returns an `Image` based on the specified `ImageDescriptor`.

  Parameters:
    `descriptor` - the `ImageDescriptor` for the `Image`.
  Returns:
    the `Image` based on the specified `ImageDescriptor`.

### decorateImage

    public static org.eclipse.swt.graphics.Image decorateImage(org.eclipse.swt.graphics.Image baseImage,
                                                               org.eclipse.swt.graphics.Image decorator)

  Returns an `Image` composed of a base image decorated by another image.

  Parameters:
    `baseImage` - the base `Image` that should be decorated.
    `decorator` - the `Image` to decorate the base image.
  Returns:
    `Image` The resulting decorated image.

### decorateImage

    public static org.eclipse.swt.graphics.Image decorateImage(org.eclipse.swt.graphics.Image baseImage,
                                                               org.eclipse.swt.graphics.Image decorator,
                                                               int corner)

  Returns an `Image` composed of a base image decorated by another image.

  Parameters:
    `baseImage` - the base `Image` that should be decorated.
    `decorator` - the `Image` to decorate the base image.
    `corner` - the corner to place decorator image.
  Returns:
    the resulting decorated `Image`.

### disposeImages

    public static void disposeImages()

  Dispose all of the cached images.

### getPluginImage

    @Deprecated
    public static org.eclipse.swt.graphics.Image getPluginImage(Object plugin,
                                                                           String name)

  Deprecated. Use `getPluginImage(String, String)` instead.

  Returns an `Image` based on a plugin and file path.

  Parameters:
    `plugin` - the plugin `Object` containing the image
    `name` - the path to the image within the plugin
  Returns:
    the `Image` stored in the file at the specified path

### getPluginImage

    public static org.eclipse.swt.graphics.Image getPluginImage(String symbolicName,
                                                                String path)

  Returns an `Image` based on a `Bundle` and resource entry path.

  Parameters:
    `symbolicName` - the symbolic name of the `Bundle`.
    `path` - the path of the resource entry.
  Returns:
    the `Image` stored in the file at the specified path.

### getPluginImageDescriptor

    @Deprecated
    public static org.eclipse.jface.resource.ImageDescriptor getPluginImageDescriptor(Object plugin,
                                                                                                 String name)

  Deprecated. Use `getPluginImageDescriptor(String, String)` instead.

  Returns an `ImageDescriptor` based on a plugin and file path.

  Parameters:
    `plugin` - the plugin `Object` containing the image.
    `name` - the path to th eimage within the plugin.
  Returns:
    the `ImageDescriptor` stored in the file at the specified path.

### getPluginImageDescriptor

    public static org.eclipse.jface.resource.ImageDescriptor getPluginImageDescriptor(String symbolicName,
                                                                                      String path)

  Returns an `ImageDescriptor` based on a `Bundle` and resource entry path.

  Parameters:
    `symbolicName` - the symbolic name of the `Bundle`.
    `path` - the path of the resource entry.
  Returns:
    the `ImageDescriptor` based on a `Bundle` and resource entry path.

### dispose

    public static void dispose()

  Dispose of cached objects and their underlying OS resources. This should only be called when the cached objects are no longer needed (e.g. on application shutdown).

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.